XSObject Class Reference
Inheritance diagram for XSObject:

## Public Member Functions

Constructors
| XSObject (XSConstants::COMPONENT_TYPE compType, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor. More...
Destructor
virtual | ~XSObject ()
XSObject methods
XSConstants::COMPONENT_TYPE | getType () const
| The `type` of this object, i.e. More...
virtual const XMLCh * | getName () const
| The name of type `NCName` of this declaration as defined in XML Namespaces. More...
virtual const XMLCh * | getNamespace ()
| The [target namespace] of this object, or `null` if it is unspecified. More...
virtual XSNamespaceItem * | getNamespaceItem ()
| A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise. More...
virtual XMLSize_t | getId () const
| Optional. More...
void | setId (XMLSize_t id)
| methods needed by implementation More...
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...

## Protected Attributes

XSConstants::COMPONENT_TYPE | fComponentType
XSModel * | fXSModel
MemoryManager * | fMemoryManager
XMLSize_t | fId

## Additional Inherited Members

Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor. More...

## Constructor & Destructor Documentation

XSObject::XSObject | ( | XSConstants::COMPONENT_TYPE | compType,
|  | XSModel *const | xsModel,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

The default constructor.

Parameters

  compType |
  xsModel |
  manager | The configurable memory manager

virtual XSObject::~XSObject | ( |  | ) |

virtual

## Member Function Documentation

virtual XMLSize_t XSObject::getId | ( |  | ) | const

virtual

Optional.

Return a unique identifier for a component within this XSModel, to optimize querying. May not be defined for all types of component.

Returns
  id unique for this type of component within this XSModel or 0 to indicate that this is not supported for this type of component.

virtual const XMLCh* XSObject::getName | ( |  | ) | const

virtual

The name of type `NCName` of this declaration as defined in XML Namespaces.

Reimplemented in XSSimpleTypeDefinition, XSComplexTypeDefinition, XSIDCDefinition, XSElementDeclaration, XSTypeDefinition, XSAttributeDeclaration, XSAttributeGroupDefinition, XSModelGroupDefinition, and XSNotationDeclaration.

virtual const XMLCh* XSObject::getNamespace | ( |  | ) |

virtual

The [target namespace] of this object, or `null` if it is unspecified.

Reimplemented in XSSimpleTypeDefinition, XSComplexTypeDefinition, XSIDCDefinition, XSElementDeclaration, XSTypeDefinition, XSAttributeDeclaration, XSAttributeGroupDefinition, XSModelGroupDefinition, and XSNotationDeclaration.

virtual XSNamespaceItem* XSObject::getNamespaceItem | ( |  | ) |

virtual

A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise.

Reimplemented in XSSimpleTypeDefinition, XSComplexTypeDefinition, XSIDCDefinition, XSElementDeclaration, XSTypeDefinition, XSAttributeDeclaration, XSAttributeGroupDefinition, XSModelGroupDefinition, and XSNotationDeclaration.

XSConstants::COMPONENT_TYPE XSObject::getType | ( |  | ) | const

The `type` of this object, i.e.

`ELEMENT_DECLARATION`.

References XERCES_CPP_NAMESPACE_END.

void XSObject::setId | ( | XMLSize_t | id | ) |

methods needed by implementation

Set the id to be returned on getId().

## Member Data Documentation

XSConstants::COMPONENT_TYPE XSObject::fComponentType

protected

XMLSize_t XSObject::fId

protected

MemoryManager* XSObject::fMemoryManager

protected

XSModel* XSObject::fXSModel

protected

The documentation for this class was generated from the following file:

- XSObject.hpp